// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
select('#message').text(message);

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const button = select('btn');

// Add the path using this helper function
svg
  .append('circle')
  .attr('cx', width / 2)
  .attr('cy', height / 2)
  .attr('r', 50)
  .attr('fill', 'hotpink');

svg
  .append('circle')
  .attr('cx', width / 2 + 10)
  .attr('cy', height / 2 + 10)
  .attr('r', 50)
  .attr('fill', 'black');

svg
  .append('circle')
  .attr('cx', width / 2 + 20)
  .attr('cy', height / 2 + 20)
  .attr('r', 50)
  .attr('fill', 'green')
  .attr('id', 'chg');

svg
  .append('circle')
  .attr('cx', width / 2 + 30)
  .attr('cy', height / 2 + 30)
  .attr('r', 50)
  .attr('fill', 'yellow')
  .attr('id', 'chg')
  .on('mouseover', function () {
    circle3.attr('fill', 'black');
  })
  .on('mouseout', function () {
    d3.select(this).attr('fill', 'orange');
  });

const circle3 = circleGroup
  .append('circle')
  .attr('fill', 'red')
  .attr('cx', 150)
  .attr('r', 50)
  .on('mouseover', function () {
    circle3.attr('fill', 'black');
  })
  .on('mouseout', function () {
    d3.select(this).attr('fill', 'red');
  });
function myfunction(circle3) {
  circle3
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})`
    )
    .transition()
    .duration(2000)
    .attr('transform', `translate(${100}, ${0})`);
}

svg
  .append('rect')
  .attr('cx', 0)
  .attr('height', 100)
  .attr('width', 200)
  .on('click', function () {
    moveCircles(circle3);

  });

button
